using System.Diagnostics;
using Dalamud.Game.Text.SeStringHandling.Payloads;

namespace Screenie;

internal class LinkHandlers : IDisposable {
    private Plugin Plugin { get; }

    internal DalamudLinkPayload OpenFolder { get; }

    internal LinkHandlers(Plugin plugin) {
        this.Plugin = plugin;

        this.OpenFolder = this.Plugin.Interface.AddChatLinkHandler(0x00, (_, _) => {
            Process.Start(new ProcessStartInfo(this.Plugin.Config.SaveDirectory) {
                UseShellExecute = true,
            });
        });
    }

    public void Dispose() {
        // removes all
        this.Plugin.Interface.RemoveChatLinkHandler();
    }
}
